Index: /trunk/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 332)
@@ -108,39 +108,4 @@
 }
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-Void
-TDecEntropy::decodeResPredFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, TComDataCU* pcSubCU, UInt uiPUIdx )
-{
-  Bool  bResPredAvailable   = false;
-  Bool  bResPredFlag        = false;
-
-  Bool  bResPredAllowed     =                    (!pcCU->getSlice()->getSPS()->isDepth                () );
-  bResPredAllowed           = bResPredAllowed && ( pcCU->getSlice()->getSPS()->getViewId              () );
-  bResPredAllowed           = bResPredAllowed && ( pcCU->getSlice()->getSPS()->getMultiviewResPredMode() );
-  bResPredAllowed           = bResPredAllowed && (!pcCU->isIntra           ( uiAbsPartIdx )              );
-
-  // check if supported
-  if( bResPredAllowed )
-  {
-    bResPredAvailable       = pcSubCU->getResidualSamples( uiPUIdx , false  );
-  }
-
-  // read from bitstream
-  if( bResPredAvailable )
-  {
-#if LG_RESTRICTEDRESPRED_M24766
-    Int iPUResiPredShift[4];
-    pcCU->getPUResiPredShift(iPUResiPredShift, uiAbsPartIdx);
-    if(iPUResiPredShift[0] >= 0 || iPUResiPredShift[1] >= 0  || iPUResiPredShift[2] >= 0  || iPUResiPredShift[3] >= 0 )
-#endif
-    m_pcEntropyDecoderIf->parseResPredFlag( pcCU, bResPredFlag, uiAbsPartIdx, uiDepth );
-  }
-
-  // set data
-  pcCU->setResPredAvailSubParts ( bResPredAvailable, uiAbsPartIdx, uiPUIdx, uiDepth );
-  pcCU->setResPredFlagSubParts  ( bResPredFlag,      uiAbsPartIdx, uiPUIdx, uiDepth );
-}
-#endif
-
 Void TDecEntropy::decodeSplitFlag   ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
Index: /trunk/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecEntropy.h	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecEntropy.h	(revision 332)
@@ -72,5 +72,5 @@
   virtual Void  parseVPS                  ( TComVPS* pcVPS )                       = 0;
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   virtual Void  parseSPS                  ( TComSPS* pcSPS, Bool bIsDepth )                       = 0;
 #else
@@ -171,5 +171,5 @@
 #endif
   
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   Void    decodeSPS                   ( TComSPS* pcSPS, Bool bIsDepth ) { m_pcEntropyDecoderIf->parseSPS(pcSPS, bIsDepth); }
 #else
@@ -198,7 +198,4 @@
   Void decodeMergeFlag         ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPUIdx );
   Void decodeMergeIndex        ( TComDataCU* pcSubCU, UInt uiPartIdx, UInt uiPartAddr, PartSize eCUMode, UChar* puhInterDirNeighbours, TComMvField* pcMvFieldNeighbours, UInt uiDepth );
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  Void decodeResPredFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, TComDataCU* pcSubCU, UInt uiPUIdx );
-#endif
   Void decodePredMode          ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
   Void decodePartSize          ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
Index: /trunk/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 332)
@@ -707,5 +707,5 @@
   UInt uiSymbol;
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool bParseSplitFlag    = true;
 
@@ -715,10 +715,6 @@
   Bool bIntraSliceDetect  = (pcCU->getSlice()->getSliceType() == I_SLICE);
 
-#if HHI_QTLPC_RAU_OFF_C0160
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC())
-#else
-  if(bDepthMapDetect && !bIntraSliceDetect && sps->getUseQTLPC())
-#endif
   {
     TComDataCU *pcTextureCU = pcTexture->getCU(pcCU->getAddr());
@@ -733,5 +729,5 @@
     DTRACE_CABAC_VL( g_nSymbolCounter++ )
     DTRACE_CABAC_T( "\tSplitFlag\n" )
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   }
   else
@@ -755,5 +751,5 @@
   PartSize eMode;
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool bParsePartSize    = true;
   TComSPS *sps           = pcCU->getPic()->getSlice(0)->getSPS();
@@ -762,10 +758,6 @@
   Bool bIntraSliceDetect = (pcCU->getSlice()->getSliceType() == I_SLICE);
 
-#if HHI_QTLPC_RAU_OFF_C0160
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC())
-#else
-  if(bDepthMapDetect && !bIntraSliceDetect && sps->getUseQTLPC())
-#endif
   {
     TComDataCU *pcTextureCU = pcTexture->getCU(pcCU->getAddr());
@@ -781,5 +773,5 @@
   if ( pcCU->isIntra( uiAbsPartIdx ) )
   {
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     if(bParsePartSize)
     {
@@ -791,5 +783,5 @@
       }
       eMode = uiSymbol ? SIZE_2Nx2N : SIZE_NxN;
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     }
 #endif
@@ -809,5 +801,5 @@
   else
   {
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     if(bParsePartSize)
     {
@@ -849,5 +841,5 @@
         }
       }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     }
 #endif
Index: /trunk/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecSbac.h	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecSbac.h	(revision 332)
@@ -88,5 +88,5 @@
   Void  parseVPS                  ( TComVPS* pcVPS )  {}
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   Void  parseSPS                  ( TComSPS* pcSPS, Bool bIsDepth ) {}
 #else
Index: /trunk/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 331)
+++ /trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 332)
@@ -1257,5 +1257,5 @@
   TComRPSList* rps = new TComRPSList();
   sps->setRPSList(rps);
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   m_cEntropyDecoder.decodeSPS( sps, m_isDepth );
 #else
Index: /trunk/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 332)
@@ -442,5 +442,5 @@
 #endif
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068 
+#if HHI_MPI || H3D_QTL 
 Void TEncCavlc::codeSPS( TComSPS* pcSPS, Bool bIsDepth )
 #else
@@ -632,5 +632,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   if( bIsDepth )
   {
Index: /trunk/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCavlc.h	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncCavlc.h	(revision 332)
@@ -114,5 +114,5 @@
 #endif
 
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068 
+#if HHI_MPI || H3D_QTL 
   Void  codeSPS                 ( TComSPS* pcSPS, Bool bIsDepth );
 #else
Index: /trunk/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCfg.h	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncCfg.h	(revision 332)
@@ -309,5 +309,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool     m_bUseQTLPC;
 #endif
@@ -790,5 +790,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Void      setUseQTLPC( Bool b ) { m_bUseQTLPC = b;    }
   Bool      getUseQTLPC()         { return m_bUseQTLPC; }
Index: /trunk/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCu.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncCu.cpp	(revision 332)
@@ -420,5 +420,5 @@
   TComPic* pcPic = rpcBestCU->getPic();
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   TComSPS *sps         = pcPic->getSlice(0)->getSPS();
   TComPic *pcTexture   = rpcBestCU->getSlice()->getTexturePic();
@@ -427,7 +427,5 @@
   Bool  bIntraSliceDetect = (rpcBestCU->getSlice()->getSliceType() == I_SLICE);
 
-#if HHI_QTLPC_RAU_OFF_C0160
   Bool rapPic     = (rpcBestCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || rpcBestCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
-#endif
 
   Bool bTry2NxN = true;
@@ -571,12 +569,8 @@
       rpcTempCU->initEstData( uiDepth, iQP );
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
       //logic for setting bTrySplit using the partition information that is stored of the texture colocated CU
 
-#if HHI_QTLPC_RAU_OFF_C0160
       if(depthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC())
-#else
-      if(depthMapDetect && !bIntraSliceDetect && sps->getUseQTLPC())
-#endif
       {
         TComDataCU* pcTextureCU = pcTexture->getCU( rpcBestCU->getAddr() ); //Corresponding texture LCU
@@ -602,20 +596,6 @@
       {
 #if H3D_IVRP
-#if MTK_MDIVRP_C0138
         Bool  bResPredAvailable   = false;
         UInt uiResPrdId = 0; 
-#else
-        // check availability of residual prediction
-        Bool  bResPredAvailable   = false;
-        Bool  bResPredAllowed     =                    (!rpcBestCU->getSlice()->getSPS()->isDepth                () );
-        bResPredAllowed           = bResPredAllowed && ( rpcBestCU->getSlice()->getSPS()->getViewId              () );
-        bResPredAllowed           = bResPredAllowed && ( rpcBestCU->getSlice()->getSPS()->getMultiviewResPredMode() );
-        if( bResPredAllowed )
-        {
-          bResPredAvailable       = rpcBestCU->getResidualSamples( 0, true , m_ppcResPredTmp[uiDepth] );
-        }
-
-        for( UInt uiResPrdId = 0; uiResPrdId < ( bResPredAvailable ? 2 : 1 ); uiResPrdId++ )
-#endif
         {
           Bool bResPredFlag  = ( uiResPrdId > 0 );
@@ -648,5 +628,5 @@
             }
           }
-#if LGE_ILLUCOMP_B0045_ENCSIMP
+#if LGE_ILLUCOMP_B0045
           if(bICFlag && rpcBestCU->getMergeFlag(0) && !rpcBestCU->getICFlag(0))
           {
@@ -661,5 +641,5 @@
             rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
             rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -684,15 +664,11 @@
       } // != I_SLICE
 
-#if LGE_ILLUCOMP_B0045_ENCSIMP
+#if LGE_ILLUCOMP_B0045
     bICEnabled = rpcBestCU->getICFlag(0);
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
-
-#if HHI_QTLPC_RAU_OFF_C0160
+#if H3D_QTL
+
       if(depthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC())
-#else
-      if(depthMapDetect && !bIntraSliceDetect  && sps->getUseQTLPC())
-#endif
       {
         bTrySplitDQP = bTrySplit;
@@ -712,5 +688,5 @@
           bTrySplitDQP = bTrySplit;
         }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
       }
 #endif
@@ -739,20 +715,6 @@
       {
 #if H3D_IVRP
-#if MTK_MDIVRP_C0138
         Bool  bResPredAvailable   = false;
         UInt uiResPrdId = 0; 
-#else
-        // check availability of residual prediction
-        Bool  bResPredAvailable   = false;
-        Bool  bResPredAllowed     =                    (!rpcBestCU->getSlice()->getSPS()->isDepth                () );
-        bResPredAllowed           = bResPredAllowed && ( rpcBestCU->getSlice()->getSPS()->getViewId              () );
-        bResPredAllowed           = bResPredAllowed && ( rpcBestCU->getSlice()->getSPS()->getMultiviewResPredMode() );
-        if( bResPredAllowed )
-        {
-          bResPredAvailable       = rpcBestCU->getResidualSamples( 0, true, m_ppcResPredTmp[uiDepth] );
-        }
-
-        for( UInt uiResPrdId = 0; uiResPrdId < ( bResPredAvailable ? 2 : 1 ); uiResPrdId++ )
-#endif
         {
           Bool bResPredFlag  = ( uiResPrdId > 0 );
@@ -772,5 +734,5 @@
               if( uiDepth == g_uiMaxCUDepth - g_uiAddCUDepth && doNotBlockPu)
               {
-#if OL_QTLIMIT_PREDCODING_B0068 //try InterNxN
+#if H3D_QTL //try InterNxN
                 if(bTrySplit)
                 {
@@ -785,5 +747,5 @@
 #endif
                   rpcTempCU->initEstData( uiDepth, iQP );
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
                 }
 #endif
@@ -793,5 +755,5 @@
 
           { // 2NxN, Nx2N
-#if OL_QTLIMIT_PREDCODING_B0068 //try Nx2N
+#if H3D_QTL //try Nx2N
             if(bTryNx2N)
             {
@@ -802,5 +764,5 @@
                 rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                 rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -816,9 +778,9 @@
                 }
               }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
             }
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068 //try 2NxN
+#if H3D_QTL //try 2NxN
             if(bTry2NxN)
             {
@@ -829,5 +791,5 @@
                 rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                 rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -843,5 +805,5 @@
                 }
               }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
             }
 #endif
@@ -866,5 +828,5 @@
             if ( bTestAMP_Hor )
             {
-#if OL_QTLIMIT_PREDCODING_B0068 //try 2NxnU & 2NxnD
+#if H3D_QTL //try 2NxnU & 2NxnD
               if(bTry2NxN)
               {
@@ -875,5 +837,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -894,5 +856,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -908,5 +870,5 @@
                   }
                 }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
               }
 #endif
@@ -915,5 +877,5 @@
             else if ( bTestMergeAMP_Hor ) 
             {
-#if OL_QTLIMIT_PREDCODING_B0068 //try 2NxnU & 2NxnD Merge
+#if H3D_QTL //try 2NxnU & 2NxnD Merge
               if(bTry2NxN)
               {
@@ -924,5 +886,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -943,5 +905,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -957,5 +919,5 @@
                   }
                 }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
               }
 #endif
@@ -966,5 +928,5 @@
             if ( bTestAMP_Ver )
             {
-#if OL_QTLIMIT_PREDCODING_B0068 //try nLx2N & nRx2N
+#if H3D_QTL //try nLx2N & nRx2N
               if(bTryNx2N)
               {
@@ -975,5 +937,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -994,5 +956,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -1004,5 +966,5 @@
                   rpcTempCU->initEstData( uiDepth, iQP );
                 }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
               }
 #endif
@@ -1011,5 +973,5 @@
             else if ( bTestMergeAMP_Ver )
             {
-#if OL_QTLIMIT_PREDCODING_B0068 //try nLx2N & nRx2N (Merge)
+#if H3D_QTL //try nLx2N & nRx2N (Merge)
               if(bTryNx2N)
               {
@@ -1020,5 +982,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -1039,5 +1001,5 @@
                   rpcTempCU->setResPredIndicator( bResPredAvailable, bResPredFlag );
 #endif
-#if FIX_LGE_ILLUCOMP_B0045
+#if LGE_ILLUCOMP_B0045
                   rpcTempCU->setICFlagSubParts(bICFlag, 0, 0, uiDepth);
 #endif
@@ -1049,5 +1011,5 @@
                   rpcTempCU->initEstData( uiDepth, iQP );
                 }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
               }
 #endif
@@ -1143,5 +1105,5 @@
           if( uiDepth == g_uiMaxCUDepth - g_uiAddCUDepth )
           {
-#if OL_QTLIMIT_PREDCODING_B0068 //Try IntraNxN
+#if H3D_QTL //Try IntraNxN
             if(bTrySplit)
             {
@@ -1155,5 +1117,5 @@
                 rpcTempCU->initEstData( uiDepth, iQP );
               }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
             }
 #endif
@@ -1805,7 +1767,4 @@
         );
 #endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    m_pcEntropyCoder->encodeResPredFlag( pcCU, uiAbsPartIdx, 0 );
-#endif
     finishCU(pcCU,uiAbsPartIdx,uiDepth);
     return;
@@ -1839,10 +1798,4 @@
 #endif
         );
-#endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    if( !pcCU->isIntra( uiAbsPartIdx ) )
-    {
-      m_pcEntropyCoder->encodeResPredFlag( pcCU, uiAbsPartIdx, 0 );
-    }
 #endif
 #if HHI_MPI
@@ -1880,8 +1833,4 @@
   Int numValidMergeCand = 0;
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  Bool  bResPrdAvail  = rpcTempCU->getResPredAvail( 0 );
-  Bool  bResPrdFlag   = rpcTempCU->getResPredFlag ( 0 );
-#endif
 #if LGE_ILLUCOMP_B0045
   Bool  bICFlag = rpcTempCU->getICFlag(0);
@@ -1916,5 +1865,5 @@
   rpcTempCU->getInterMergeCandidates( 0, 0, uhDepth, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand );
 #endif
-#if MTK_MDIVRP_C0138
+#if H3D_IVRP
   Bool bResPredAvail = rpcTempCU->getResPredAvail(0);
 #endif
@@ -1978,10 +1927,5 @@
 
 #if H3D_IVRP
-#if MTK_MDIVRP_C0138
           rpcTempCU->setResPredAvailSubParts(bResPredAvail, 0, 0, uhDepth);
-#else
-          rpcTempCU->setResPredAvailSubParts( bResPrdAvail, 0, 0, uhDepth );
-          rpcTempCU->setResPredFlagSubParts ( bResPrdFlag,  0, 0, uhDepth );
-#endif
 #endif
 #if LGE_ILLUCOMP_B0045
@@ -2001,5 +1945,5 @@
             m_pcPredSearch->motionCompensation ( rpcTempCU, m_ppcPredYuvTemp[uhDepth] );
 #endif
-#if MTK_MDIVRP_C0138
+#if H3D_IVRP
             if (uiMergeCand == 0 && rpcTempCU->getResPredAvail(0))
             {
@@ -2020,5 +1964,5 @@
               m_pcPredSearch->motionCompensation ( rpcTempCU, m_ppcPredYuvTemp[uhDepth] );
 #endif
-#if MTK_MDIVRP_C0138
+#if H3D_IVRP
               if (uiMergeCand == 0 && rpcTempCU->getResPredAvail(0))
               {
@@ -2120,22 +2064,9 @@
 #endif
   rpcTempCU->setPredModeSubParts  ( MODE_INTER, 0, uhDepth );
-  
-#if H3D_IVRP
-#if !LG_RESTRICTEDRESPRED_M24766
-  if( rpcTempCU->getResPredFlag( 0 ) )
-  { // subtract residual prediction from original in motion search
-    m_ppcOrigYuv[uhDepth]->add( m_ppcResPredTmp [uhDepth], rpcTempCU->getWidth( 0 ), rpcTempCU->getHeight( 0 ), true );
-  }
-#endif
-#endif
 
 #if AMP_MRG
   rpcTempCU->setMergeAMP (true);
   #if HHI_INTERVIEW_SKIP
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  m_pcPredSearch->predInterSearch ( rpcTempCU, m_ppcOrigYuv[uhDepth], m_ppcResPredTmp[uhDepth], m_ppcPredYuvTemp[uhDepth], m_ppcResiYuvTemp[uhDepth], m_ppcRecoYuvTemp[uhDepth], bSkipRes, bUseMRG);
-#else
   m_pcPredSearch->predInterSearch ( rpcTempCU, m_ppcOrigYuv[uhDepth], m_ppcPredYuvTemp[uhDepth], m_ppcResiYuvTemp[uhDepth], m_ppcRecoYuvTemp[uhDepth], bSkipRes, bUseMRG  );
-#endif
 #else
   m_pcPredSearch->predInterSearch ( rpcTempCU, m_ppcOrigYuv[uhDepth], m_ppcPredYuvTemp[uhDepth], m_ppcResiYuvTemp[uhDepth], m_ppcRecoYuvTemp[uhDepth], false, bUseMRG );
@@ -2146,13 +2077,4 @@
 #else  
   m_pcPredSearch->predInterSearch ( rpcTempCU, m_ppcOrigYuv[uhDepth], m_ppcPredYuvTemp[uhDepth], m_ppcResiYuvTemp[uhDepth], m_ppcRecoYuvTemp[uhDepth] );
-#endif
-#endif
-
-#if H3D_IVRP
-#if !LG_RESTRICTEDRESPRED_M24766
-  if( rpcTempCU->getResPredFlag( 0 ) )
-  { // add residual prediction to original again
-    m_ppcOrigYuv[uhDepth]->add( m_ppcResPredTmp [uhDepth], rpcTempCU->getWidth( 0 ), rpcTempCU->getHeight( 0 ) );
-  }
 #endif
 #endif
Index: /trunk/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 332)
@@ -122,5 +122,5 @@
 #endif
 
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068 
+#if HHI_MPI || H3D_QTL 
 Void TEncEntropy::encodeSPS( TComSPS* pcSPS, Bool bIsDepth )
 {
@@ -455,28 +455,4 @@
 }
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-Void
-TEncEntropy::encodeResPredFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiPUIdx, Bool bRD )
-{
-  if( bRD )
-  {
-    uiAbsPartIdx = 0;
-  }
-
-  // check whether flag is coded
-  ROTVS( pcCU->getSlice()->getSPS()->isDepth                () );
-  ROFVS( pcCU->getSlice()->getSPS()->getViewId              () );
-  ROFVS( pcCU->getSlice()->getSPS()->getMultiviewResPredMode() );
-  ROTVS( pcCU->isIntra           ( uiAbsPartIdx )              );
-  ROFVS( pcCU->getResPredAvail   ( uiAbsPartIdx )              );
-#if LG_RESTRICTEDRESPRED_M24766
-  Int iPUResiPredShift[4];
-  pcCU->getPUResiPredShift(iPUResiPredShift, uiAbsPartIdx);
-  if(iPUResiPredShift[0] >= 0 || iPUResiPredShift[1] >= 0  || iPUResiPredShift[2] >= 0  || iPUResiPredShift[3] >= 0 )
-#endif
-  // encode flag
-  m_pcEntropyCoderIf->codeResPredFlag( pcCU, uiAbsPartIdx );
-}
-#endif
 
 /** parse the fixed length code (smaller than one max value) in ALF
Index: /trunk/source/Lib/TLibEncoder/TEncEntropy.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncEntropy.h	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncEntropy.h	(revision 332)
@@ -80,5 +80,5 @@
 #endif
 
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068 
+#if HHI_MPI || H3D_QTL 
   virtual Void  codeSPS                 ( TComSPS* pcSPS, Bool bIsDepth )                       = 0;
 #else
@@ -222,5 +222,5 @@
 #endif
   // SPS
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068 
+#if HHI_MPI || H3D_QTL 
   Void encodeSPS               ( TComSPS* pcSPS, Bool bIsDepth );
 #else
@@ -250,7 +250,4 @@
   Void encodeMergeFlag    ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiPUIdx );
   Void encodeMergeIndex   ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiPUIdx, Bool bRD = false );
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  Void encodeResPredFlag  ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiPUIdx, Bool bRD = false );
-#endif
   Void encodeAlfCtrlFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD = false );
 
Index: /trunk/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 332)
@@ -887,5 +887,5 @@
         m_pcEntropyCoder->setBitstream(&nalu.m_Bitstream);
         pcSlice->getSPS()->setNumSubstreams( pcSlice->getPPS()->getNumSubstreams() );
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
         m_pcEntropyCoder->encodeSPS(pcSlice->getSPS(), m_pcEncTop->getIsDepth());
 #else
Index: /trunk/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 332)
@@ -376,5 +376,5 @@
 #endif
 
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068 
+#if HHI_MPI || H3D_QTL 
 Void TEncSbac::codeSPS( TComSPS* pcSPS, Bool bIsDepth )
 #else
@@ -578,5 +578,5 @@
   PartSize eSize         = pcCU->getPartitionSize( uiAbsPartIdx );
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   TComSPS *sps           = pcCU->getPic()->getSlice(0)->getSPS();
   TComPic *pcTexture     = pcCU->getSlice()->getTexturePic();
@@ -584,10 +584,6 @@
   Bool bIntraSliceDetect = (pcCU->getSlice()->getSliceType() == I_SLICE);
  
-#if HHI_QTLPC_RAU_OFF_C0160
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC() && pcCU->getPic()->getReduceBitsFlag())
-#else
-  if(bDepthMapDetect && !bIntraSliceDetect && sps->getUseQTLPC() && pcCU->getPic()->getReduceBitsFlag())
-#endif
   {
     TComDataCU *pcTextureCU = pcTexture->getCU(pcCU->getAddr());
@@ -855,5 +851,5 @@
   assert( uiCtx < 3 );
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool bCodeSplitFlag    = true;
 
@@ -863,10 +859,6 @@
   Bool bIntraSliceDetect = (pcCU->getSlice()->getSliceType() == I_SLICE);
 
-#if HHI_QTLPC_RAU_OFF_C0160
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC() && pcCU->getPic()->getReduceBitsFlag())
-#else
-  if(bDepthMapDetect && !bIntraSliceDetect && sps->getUseQTLPC() && pcCU->getPic()->getReduceBitsFlag())
-#endif
   {
     TComDataCU *pcTextureCU = pcTexture->getCU(pcCU->getAddr());
Index: /trunk/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSbac.h	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncSbac.h	(revision 332)
@@ -102,5 +102,5 @@
 #endif
   
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068 
+#if HHI_MPI || H3D_QTL 
   Void  codeSPS                 ( TComSPS* pcSPS, Bool bIsDepth );
 #else
